/*! 
 * Collection
 *
 * Copyright (C) 2012 Philippe Plantier <philippe@midsummerweb.com>
 *
 * MIT Licensed
 */

"use strict";

var Store = module.exports = function(options) {
    if (typeof this.settings === "undefined") {
        this.settings = {}
    }
    
    for (var i in options) {
        this.settings[i] = options[i];
    }
    
    if (this.settings.params) {
        this.params = this.settings.params;
    } else {
        this.params = [];
    }
};

Store.prototype.read = function(req, res) {
    res(null, []);
};

Store.prototype.insert = function(req, res) {
    res(null, req);
};

Store.prototype.delete = function(req, res) {
    res(null, req);
};

Store.prototype.update = function(req, res) {
    res(null, req);
};

/**
 * Completely clear a store, used for debug only
 *
 * @api private
 */
Store.prototype.clear = function(callback) {
    process.nextTick(callback);
};